MediaWiki:Common.css: Difference between revisions

From Infektiopedia
imported>Maximilian.schons@uk-koeln.de
No edit summary
No edit summary
Line 199: Line 199:
         display: none;
         display: none;
     }
     }
.infektiopedia-editbox p {
text-align:justify;
}

Revision as of 14:06, 20 September 2021

/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */


/* Allow limiting of which header levels are shown in a TOC;
   <div class="toclimit-3">, for instance, will limit to
   showing ==headings== and ===headings=== but no further
   (as long as there are no =headings= on the page, which
   there shouldn't be according to the MoS).
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}

/*Anpassung Styling Seite generell*/

header.main-header {
	background-color:#efefef;
	
}

.bs-custom-menu > .level-1 {
    padding: 0 1rem;
}

.bs-page-before-header {
    margin-top: 2em;
}

#bs-breadcrumb-rootnode{
	display:none;
}

/*.bs-page-breadcrumbs, .btn-group .dropdown , .btn .bs-breadcrumb-node  {
    font-size: 2.3em !important;
}
*/
.btn.bs-breadcrumb-node  {
    font-size: 2.4em !important;
    line-height: 1em !important;
}

.bs-page-edit-elements > li, .bs-page-info-element > ul > li, .bs-page-info-element-button-col, .bs-page-info-element-text-col, .bs-category-add-category, .bs-page-last-edit a, .mw-watchlink, .bs-page-info-element-button{
        font-size: 0.7rem !important;
    line-height: 0.7rem;
        color: #666666 !important;
}



.bs-page-namespaces{
	display:none;
}

/*Sitenotice*/
#localNotice > .mw-parser-output > .infobox {
    max-width: 100%;
    margin-left: 0 !important;
    font-size: 0.5rem;
}

#localNotice > .mw-parser-output > .infobox > p {
    font-size: 0.8rem !important;
}

/*Tags*/
.bs-category-container-categories .pill{
    color: #666666 !important;
    background: rgb(241,241,241)!important;
    font-size: 0.75em !important;
}

.bs-category-add-category i::after{
    content: " Tags:";
}

/*Remove first horizontal line*/
#content > .v-line {
    display: none;
}

#content > .v-line ~ .v-line {
	display:block;
        border-bottom: 2px solid #e9e9e9;
}


#firstHeading {
    display: none;
}

#content {
	padding-top: 2em;
}




/*h2 {
    top: 1.8em!important;
    position: sticky;
    background-color: white !important;
    z-index: 10;
}*/

p, ul > li,  ol > li {
    font-size: 1.1rem !important;
    line-height: 1.7rem
}

/*adjustment for tables*/
td p, th p, td ul > li {
    font-size: 0.875rem !important;
    line-height: 1.42857143;
}

.toctitle  {
    display: none;
}

h2{
    padding: 0.2em;
    font-size: 2.2rem;
    font-weight: 500;
    margin-top: 2em;
    margin-bottom: 0.9375rem;
    background: none;
    border-bottom: 5px solid #d11520;
    border-left: 5px solid #d11520;
    border-top: none;
    border-right: none;

}

h3 {
    border-bottom: 1px solid #333333;
    margin-top: 1.2em;
}

h6 {
    margin-top: 1.7em;
}

.mw-collapsed {
    width: 100%;
}



/*Klinische Situationsboxen preview*/

small ul li {
    font-size: 1em !important;
    line-height: 1.2em;
}


.contenttable-blue{
    width: 100%;
}

.contenttable-blue th {
    max-width: 10%;
}
.contenttable-blue td {
    width: 80%;
}

.contenttable-blue table, .contenttable-blue th, .contenttable-blue td {
        position:relative;
		}

.contenttable-blue .mini-more-link{
    position: absolute;
    bottom: 0.5em;
    right: 1em;
    
}


/* adjust footer*/
#footer-icons{
	display:none !important;
}

/*Contribution Section Hallo Welt extension*/

    .contrib-section-start,
    .contrib-section-stop {
        display: none;
    }
    
    .contrib-inline-start,
    .contrib-inline-stop {
        display: none;
    }

.infektiopedia-editbox p {
	text-align:justify;
}